package com.qmth.teachcloud.mark.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.teachcloud.common.bean.dto.mark.setting.MarkGroupTaskDto;
import com.qmth.teachcloud.common.bean.params.mark.setting.GroupPictureConfigParams;
import com.qmth.teachcloud.mark.entity.MarkGroup;

import java.util.List;

/**
 * <p>
 * 评卷分组表 服务类
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
public interface MarkGroupService extends IService<MarkGroup> {

    MarkGroupTaskDto listGroupTaskByExamIdAndPaperNumber(Long examId, String paperNumber);
    List<MarkGroup> listGroupByExamIdAndPaperNumber(Long examId, String paperNumber);

    void deleteGroupByExamIdAndPaperNumberAndGroupNumber(Long examId, String paperNumber, Integer groupNumber);

    void updatePicListByExamIdAndPaperNumberAndGroupNumber(GroupPictureConfigParams groupPictureConfigParams);

    void updateOpenMarkClassByExamIdAndPaperNumber(Long examId, String paperNumber, Boolean openMarkClass);
}
